/*
Theme Name: klimadeal
Theme URI: https://klimadeal.nl
Description: Child Theme For klimadeal.nl
Author: Gerben
Author URI: https://klimadeal.nl
Version: 1.0.0
Template: Divi
*/

/* =Theme customization starts here
------------------------------------------------------- */

/* Euroteken verwijderen - Algemeen voor alle prijzen */
.woocommerce-Price-amount .woocommerce-Price-currencySymbol {
    display: none;
}

/*edit the Divi mega menu*/
.et_pb_menu li.mega-menu ul {
border: 1px solid #48A924;
border-radius: 15px;
}

/* Woocommerce product toevoegen in winkelwagen knop onder een product */ 
.woocommerce ul.products li.product .button {
    /* Standaardstijl */
    background-color: #02990d !important;
    color: #fff !important;
    font-size: 12px !important;
    border: 0px solid #02990d !important;
    padding: 5px 5px !important;
    border-radius: 5px !important;
    transition: all 0.3s ease !important; /* Voeg een vloeiende overgang toe */
}

.woocommerce ul.products li.product .button:hover {
    /* Stijl bij hover */
    background-color: #06bc00!important;
    border-color: #06bc00 !important;
}

/* uitlijning winkelmandje in de header */
#menu-header > li.menu-item.xoo-wsc-menu-item {
    margin: 0 !important; /* Verwijdert marges */
    padding: 0 !important; /* Verwijdert interne ruimte */
    display: inline-block !important; /* Zorgt dat het icoontje naast andere inline-elementen blijft */
    vertical-align: middle !important; /* Houdt het icoon uitgelijnd met de tekst */
}

/* mijnaccount bestellingen banner */
#main-content > div > div > div > div.et_pb_row.et_pb_row_1_tb_body > div > div > div > div > div > div.woocommerce-info {
    background-color: #ffffff !important; /* Witte achtergrond */
    color: #3B4A37 !important; /* Zwarte tekst */
}

#main-content > div > div > div > div.et_pb_row.et_pb_row_1_tb_body > div > div > div > div > div > div.woocommerce-info > a {
    background-color: #02990d !important;
    color: #fff !important;
    text-decoration: none !important; /* Geen onderstreping */
    padding: 10px 10px !important; /* Zorg voor knopachtige uitstraling */
    border: 0px solid #000000 !important; /* Optionele rand */
    border-radius: 10px !important; /* Ronde hoeken */
    display: inline-block !important; /* Zorg dat het eruitziet als een knop */
}


#main-content > div > div > div > div.et_pb_row.et_pb_row_1_tb_body > div > div > div > div > div > div.woocommerce-info > a:hover {
	/*stijl bij hoover*/
    background-color: #06bc00 !important; /* Zwarte achtergrond bij hover */
    color: #ffffff !important; /* Witte tekst bij hover */
    border-color: #06bc00 !important; /* Optioneel: wijzig de randkleur */
    text-decoration: none !important; /* Geen onderstreping bij hover */
}

/*stijl incl. of excl. btw onder product*/
.vat-label {
    font-size: 12px;
    color: #555; /* Grijze kleur voor de tekst */
}

.vat-label::before,
.vat-label::after {
    color: #aaa; /* Grijze kleur voor de haakjes */
}

/*onderstaande code zorgt ervoor dat op mobiel één product weergeven wordt.*/
@media (max-width: 767px) {
    body.et-db #et-boc .et-l .et_pb_shop ul.products,
    body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products,
    body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products {
        padding: 0 5% !important; /* Voeg 5% marge links en rechts toe */
    }

    body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-1 li.product, 
    body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-2 li.product, 
    body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-3 li.product, 
    body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-4 li.product, 
    body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-5 li.product, 
    body.et-db #et-boc .et-l .et_pb_shop ul.products.columns-6 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-1 li.product,  
    body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-2 li.product,  
    body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-3 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-4 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-5 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-6 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-1 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-2 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-3 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-4 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-5 li.product, 
    body.et-db #et-boc .et-l .et_pb_wc_upsells ul.products.columns-6 li.product {
        width: 100% !important;
        margin-right: 0 !important;
    }
}

@media (max-width: 767px) {
    .woocommerce-page ul.products li.product:nth-child(n) {
        margin: 0 0 11.5% !important;
        width: 100% !important;
    }
}

/*Schakelt hamburger menu uit op tablets en mobiele telefoons*/
.lwp-hide-mobile-menu.et_pb_menu .et_pb_menu__menu,.lwp-hide-mobile-menu.et_pb_fullwidth_menu .et_pb_menu__menu { display: flex!important; } .lwp-hide-mobile-menu .et_mobile_nav_menu { display: none; }

/*Schakelt hamburger menu uit op tablets en mobiele telefoons*/
#place_order::before {
    content: "Betaal nu"; /* Pas de tekst aan naar wens */
    font-size: inherit;
    font-weight: inherit;
}

#place_order {
    color: transparent; /* Verberg de originele tekst */
    text-shadow: none;
}
